zenilib: zenilib/jni/external/freetype2/src/base/ftapi.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftapi.c File Reference
`#include <ft2build.h>`
`#include <FT_LIST_H>`
`#include <FT_OUTLINE_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_TRUETYPE_TABLES_H>`

Go to the source code of this file.

## Functions

| FT_Access_Frame (FT_Stream stream, FT_ULong count)
| FT_Extract_Frame (FT_Stream stream, FT_ULong count, FT_Byte **pbytes)
| FT_Forget_Frame (FT_Stream stream)
| FT_New_Memory_Stream (FT_Library library, FT_Byte *base, FT_ULong size, FT_Stream stream)
| FT_Read_Stream (FT_Stream stream, FT_Byte *buffer, FT_ULong count)
| FT_Read_Stream_At (FT_Stream stream, FT_ULong pos, FT_Byte *buffer, FT_ULong count)
| FT_Release_Frame (FT_Stream stream, FT_Byte **pbytes)
| FT_Seek_Stream (FT_Stream stream, FT_ULong pos)
| FT_Skip_Stream (FT_Stream stream, FT_Long distance)

## Function Documentation

FT_Access_Frame | ( | FT_Stream | stream,
|  | FT_ULong | count
| ) |  |

Definition at line 107 of file ftapi.c.

References FT_Stream_EnterFrame().

FT_Extract_Frame | ( | FT_Stream | stream,
|  | FT_ULong | count,
|  | FT_Byte ** | pbytes
| ) |  |

Definition at line 91 of file ftapi.c.

References FT_Stream_ExtractFrame().

FT_Forget_Frame | ( | FT_Stream | stream | ) |

Definition at line 115 of file ftapi.c.

References FT_Stream_ExitFrame().

FT_New_Memory_Stream | ( | FT_Library | library,
|  | FT_Byte * | base,
|  | FT_ULong | size,
|  | FT_Stream | stream
| ) |  |

Definition at line 44 of file ftapi.c.

References FT_Stream_OpenMemory(), and FT_UNUSED.

FT_Read_Stream | ( | FT_Stream | stream,
|  | FT_Byte * | buffer,
|  | FT_ULong | count
| ) |  |

Definition at line 72 of file ftapi.c.

References FT_Stream_Read().

FT_Read_Stream_At | ( | FT_Stream | stream,
|  | FT_ULong | pos,
|  | FT_Byte * | buffer,
|  | FT_ULong | count
| ) |  |

Definition at line 81 of file ftapi.c.

References FT_Stream_ReadAt().

FT_Release_Frame | ( | FT_Stream | stream,
|  | FT_Byte ** | pbytes
| ) |  |

Definition at line 100 of file ftapi.c.

References FT_Stream_ReleaseFrame().

FT_Seek_Stream | ( | FT_Stream | stream,
|  | FT_ULong | pos
| ) |  |

Definition at line 56 of file ftapi.c.

References FT_Stream_Seek().

FT_Skip_Stream | ( | FT_Stream | stream,
|  | FT_Long | distance
| ) |  |

Definition at line 64 of file ftapi.c.

References FT_Stream_Skip().